package projet_these.rn;




/**
 * Implementation of gammalog function
 * @author Numerical Recipes in C
 */
public class gammln
{


    /**
    * Procedure computing gammalog function
    */
    public static float gammalog(float xx)
    {

        double x = 0;
        double y = 0;
        double tmp = 0;
        double ser;
        double[] cof = {76.18009172947146, - 86.50532032941677,
        24.01409824083091, - 1.231739572450155,
        0.1208650973866179e-2, - 0.5395239384953e-5};
        int j = 0;
        x = xx;
        y = x;
        tmp = x + 5.5;
        tmp -= (x + 0.5) * Math.log(tmp);
        ser = 1.000000000190015;
        for (j = 0; j <= 5; j++)
        {
            ser += cof[j] / ++y;
        }
        return (float)(-tmp + Math.log(2.5066282746310005 * ser / x));
    }

}

